# expected: FFFFFFFFFFFFCDEF, FFFFFFFFFFFF89AB, 4567, 0123

    .text
_start:
    li x2, 0x10100

    li x1, 0x0123456789ABCDEF
    sd x1, 0(x2)

    lh x31, 0(x2)

    lh x31, 2(x2)

    lh x31, 4(x2)

    lh x31, 6(x2)

